# Class ScriptWrapperConverter

java.lang.Object
org.apache.jmeter.save.ScriptWrapperConverter

public class ScriptWrapperConverter extends Object
Handles XStream conversion of Test Scripts

## Constructor Summary

Constructors
Constructor
Description
`ScriptWrapperConverter(Mapper classMapper)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConvert(Class arg0)`
`protected Class<?>`
`getNextType(HierarchicalStreamReader reader)`
`static String`
`getVersion()`
Returns the converter version; used to check for possible incompatibilities
`void`
`marshal(Object arg0, HierarchicalStreamWriter writer, MarshallingContext context)`
`Object`
`unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptWrapperConverter

public ScriptWrapperConverter(Mapper classMapper)

## Method Details

### getVersion

public static String getVersion()
Returns the converter version; used to check for possible incompatibilities

Returns:
  the version of the converter

### canConvert

public boolean canConvert(Class arg0)

### marshal

public void marshal(Object arg0, HierarchicalStreamWriter writer, MarshallingContext context)

### unmarshal

public Object unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)

### getNextType

protected Class<?> getNextType(HierarchicalStreamReader reader)